#ifndef FINDWIDGET_H 
#define FINDWIDGET_H

#include <QComboBox>
#include <QPushButton>
#include <QGroupBox>
#include <QLayout>
#include <QLabel>


class FindWidget: public QWidget
{
	Q_OBJECT

public:
	enum Status {Undefined,Success,Failed};

	FindWidget (QWidget *parent=NULL);

public slots:	
	void popup();
	void cancelPressed();
	void nextPressed();
	void findTextChanged(const QString&);
	void setStatus (Status st);

private:
	Status status;

signals:
	void nextButton(QString);
	void somethingChanged();

private:
	QGroupBox *findbox;
	QComboBox *findcombo;
	QPushButton *nextbutton;
	QPushButton *cancelbutton;
};

#endif

